Search Results for

Show / Hide Table of Contents

# Interface ITreeView

Interface for all non generic members of TreeView<T> See TreeView Deep Dive for more information.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public interface ITreeView

### Properties

#### Style

Contains options for changing how the tree is rendered

##### Declaration

    TreeStyle Style { get; set; }

##### Property Value

Type | Description
--- | ---
TreeStyle |

### Methods

#### ClearObjects()

Removes all objects from the tree and clears selection

##### Declaration

    void ClearObjects()

#### SetNeedsDisplay()

Sets a flag indicating this view needs to be redisplayed because its state has changed.

##### Declaration

    void SetNeedsDisplay()